Bug 602747 - Referrals in master slave ldaps replication does not work
Referrals in master slave ldaps replication does not work
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.2.6
All Linux
medium Severity high
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 389_1.2.6 639035
  Show dependency treegraph
 
Reported: 2010-06-10 12:07 EDT by reinhard nappert
Modified: 2015-01-04 18:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-13 09:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description reinhard nappert 2010-06-10 12:07:54 EDT
Found with Fedora-Directory Server 1.12
Setup master slave over ldaps
dse.ldif for Master:

dn: cn=replica,cn="o=Base",cn=mapping tree,cn=config
nsDS5ReplicaBindDN: ...
nsDS5ReplicaRoot: o=Base
nsDS5ReplicaId: 22
nsDS5Flags: 1
nsDS5ReplicaType: 3
objectClass: top
objectClass: nsDS5Replica
cn: replica
creatorsName: ...
modifiersName: cn=Multimaster Replication Plugin,cn=plugins,cn=config
nsState:: ...
nsDS5ReplicaName: ...
numSubordinates: 1

dn: cn=master2slave,cn=replica,cn="o=Base",cn=mapping tree,cn=config
nsDS5ReplicaBindDN: cn=replAdmin,cn=config
nsDS5ReplicaTransportInfo: SSL
nsDS5ReplicaHost: slave
nsDS5ReplicaPort: 636
objectClass: top
objectClass: nsDS5ReplicationAgreement
nsDS5ReplicaBindMethod: SIMPLE
cn: master2slave
nsDS5ReplicaRoot: o=BASE
nsDS5ReplicaCredentials: ....
creatorsName: ...
modifiersName: cn=Multimaster Replication Plugin,cn=plugins,cn=config

dse.ldif for Slave:
dn: cn="o=BASE",cn=mapping tree,cn=config
objectClass: top
objectClass: extensibleObject
objectClass: nsMappingTree
cn: "o=BASE"
nsslapd-state: referral on update
nsslapd-backend: userRoot
modifiersName: cn=server,cn=plugins,cn=config
numSubordinates: 1
nsslapd-referral: ldaps://master:636/o=BASE

dn: cn=replica,cn="o=Base",cn=mapping tree,cn=config
nsDS5ReplicaBindDN: ...
nsDS5ReplicaRoot: o=Base
nsDS5Flags: 0
nsDS5ReplicaType: 2
objectClass: top
objectClass: nsDS5Replica
cn: replica
nsDS5ReplicaId: 65535
nsState:: ..
nsDS5ReplicaName: ...
nsDS5ReplicaReferral: ldaps://master:636/o=BASE

If you try to add an entry, connecting to slave, the slave return operationalError 1 with the message:
[LDAP: error code 1 - Mapping tree node for o=base is set to return a referral, but no referral is configured for it];
Comment 2 reinhard nappert 2010-07-13 08:59:33 EDT
I just want to make sure that this works with 1.2.6. I did compile 1.2.6 rc1 and made sure that it works.
Comment 3 Rich Megginson 2010-10-01 16:07:21 EDT
(In reply to comment #2)
> I just want to make sure that this works with 1.2.6. I did compile 1.2.6 rc1
> and made sure that it works.

Are you saying it does work correctly with 1.2.6?
Comment 4 reinhard nappert 2010-10-01 17:07:06 EDT
I did test it with rc1 and it worked fine. I have not done it with the final release. I will do it next week and let you know
Comment 5 Rich Megginson 2010-10-01 17:14:24 EDT
Ok. I'm going to mark this bug as MODIFIED.  If it is broken, please change this bug back to NEW.
Comment 6 Amita Sharma 2011-06-13 07:29:32 EDT
Hi Rich,
I have not face this issue, should I do some steps to verify this in RHDS?
Please guide.

Thanks,
Amita
Comment 7 reinhard nappert 2011-06-13 09:01:52 EDT
Amita,

I verified that this is fine with 1.2.6 and later, when I configured replication via LDAPS.

So, no action is required.
Comment 8 Jenny Galipeau 2011-06-13 09:08:12 EDT
Closing bug as there was no fix associated to verify

Note You need to log in before you can comment on or make changes to this bug.